# Update-RASAgent

### NAME

Update-RASAgent\ <br>

### SYNOPSIS

Updates one or more RAS Agents.\ <br>

### SYNTAX

Update-RASAgent \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#InputObject)] *<*[*RASAgentInfo\[\]*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAgentInfo.html)*>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#CommonParameters)*>*]\
\
Update-RASAgent \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#InputObject)] *<*[*RASAgentInfo\[\]*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAgentInfo.html)*>* -[Password](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Password) *\<SecureString>* -[Username](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Username) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#CommonParameters)*>*]\
\
Update-RASAgent \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Server)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#SiteId)] *\<uint>*] \[-[Force](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Force) *\<SwitchParameter>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#CommonParameters)*>*]\
\
Update-RASAgent \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Server)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#SiteId)] *\<uint>*] -[Password](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Password) *\<SecureString>* -[Username](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Username) *\<string>* \[-[Force](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#Force) *\<SwitchParameter>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Update-RASAgent.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Updates one or more RAS Agents.\ <br>

### PARAMETERS

\
-**Server \<string>**\
The name of the RAS agent server.\
\
The name can be either FQDN or IP address, but you have to enter the actual name this server has in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID in which to modify the specified server.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Force \<SwitchParameter>**\
When 'Force' is passed, only the known info will be used and force the operation.\
\
If the parameter is omitted, the RAS Agent info is retrieved with the supplied info.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Username \<string>**\
An administrator account to remotely perform operation on the RAS agent from the server.\
\
If this parameter is omitted, your RAS admin username (and password) will be used by default.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Password \<SecureString>**\
The password of the account specified in the Username parameter.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**RASAgentInfo\[\]**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAgentInfo.html)**>**\
The RAS agent info.\
\
To obtain an RASAgentInfo object representing an RAS agent info list, use the Get-RASAgent command."\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[RASAgentInfo\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAgentInfo.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Update-RASAgent "server.company.dom"\
\
Updates the specified RAS Agent.\
\
The RAS agent will be remotely updated using your RAS admin credentials.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Update-RASAgent "server.company.dom" -Username "myname" -Password $pass\
\
Updates the specified RAS Agent.\
\
The RAS agent will be remotely updated using the specified credentials.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASAgent "server.company.dom" | Update-RASAgent\
\
Updates the RAS agent represented by the object obtained from the pipeline output.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/update-rasagent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
